Update configure
authorMatthew Fredrickson <creslin@digium.com>
Thu, 21 Sep 2006 18:42:57 +0000 (18:42 +0000)
committerMatthew Fredrickson <creslin@digium.com>
Thu, 21 Sep 2006 18:42:57 +0000 (18:42 +0000)
git-svn-id: https://origsvn.digium.com/svn/asterisk/trunk@43428 65c4cc65-6c06-0410-ace0-fbb531ad65f3

configure

index 547eb62..7febc9e 100755 (executable)
--- a/configure
+++ b/configure
@@ -1,5 +1,5 @@
 #! /bin/sh
-# From configure.ac Revision: 43281 .
+# From configure.ac Revision: 43427 .
 # Guess values for system-dependent variables and create Makefiles.
 # Generated by GNU Autoconf 2.60a.
 #
@@ -748,6 +748,9 @@ PBX_PGSQL
 PRI_LIB
 PRI_INCLUDE
 PBX_PRI
+SS7_LIB
+SS7_INCLUDE
+PBX_SS7
 PWLIB_LIB
 PWLIB_INCLUDE
 PBX_PWLIB
@@ -1442,6 +1445,7 @@ Optional Packages:
   --with-popt=PATH        use popt files in PATH
   --with-postgres=PATH    use PostgreSQL files in PATH
   --with-pri=PATH         use ISDN PRI files in PATH
+  --with-ss7=PATH         use ISDN SS7 files in PATH
   --with-pwlib=PATH       use PWlib files in PATH
   --with-h323=PATH        use OpenH323 files in PATH
   --with-qt=PATH          use Qt files in PATH
@@ -5900,6 +5904,33 @@ PBX_PRI=0
 
 
 
+SS7_DESCRIP="ISDN SS7"
+SS7_OPTION="ss7"
+
+# Check whether --with-ss7 was given.
+if test "${with_ss7+set}" = set; then
+  withval=$with_ss7;
+case ${withval} in
+     n|no)
+     USE_SS7=no
+     ;;
+     y|ye|yes)
+     SS7_MANDATORY="yes"
+     ;;
+     *)
+     SS7_DIR="${withval}"
+     SS7_MANDATORY="yes"
+     ;;
+esac
+
+fi
+
+PBX_SS7=0
+
+
+
+
+
 PWLIB_DESCRIP="PWlib"
 PWLIB_OPTION="pwlib"
 
@@ -24019,6 +24050,466 @@ echo "$as_me: *** without explicitly specifying --with-${PRI_OPTION}" >&6;}
 fi
 
 
+
+if test "${USE_SS7}" != "no"; then
+   pbxlibdir=""
+   if test "x${SS7_DIR}" != "x"; then
+      if test -d ${SS7_DIR}/lib; then
+        pbxlibdir="-L${SS7_DIR}/lib"
+      else
+        pbxlibdir="-L${SS7_DIR}"
+      fi
+   fi
+   { echo "$as_me:$LINENO: checking for ss7_new in -lss7" >&5
+echo $ECHO_N "checking for ss7_new in -lss7... $ECHO_C" >&6; }
+if test "${ac_cv_lib_ss7_ss7_new+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  ac_check_lib_save_LIBS=$LIBS
+LIBS="-lss7 ${pbxlibdir}  $LIBS"
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+/* Override any GCC internal prototype to avoid an error.
+   Use char because int might match the return type of a GCC
+   builtin and then its argument prototype would still apply.  */
+#ifdef __cplusplus
+extern "C"
+#endif
+char ss7_new ();
+int
+main ()
+{
+return ss7_new ();
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_link") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+        { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
+  { (case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_try") 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; } &&
+        { ac_try='test -s conftest$ac_exeext'
+  { (case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_try") 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  ac_cv_lib_ss7_ss7_new=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+       ac_cv_lib_ss7_ss7_new=no
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+      conftest$ac_exeext conftest.$ac_ext
+LIBS=$ac_check_lib_save_LIBS
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_lib_ss7_ss7_new" >&5
+echo "${ECHO_T}$ac_cv_lib_ss7_ss7_new" >&6; }
+if test $ac_cv_lib_ss7_ss7_new = yes; then
+  AST_SS7_FOUND=yes
+else
+  AST_SS7_FOUND=no
+fi
+
+
+   if test "${AST_SS7_FOUND}" = "yes"; then
+      SS7_LIB="-lss7 "
+      SS7_HEADER_FOUND="1"
+      if test "x${SS7_DIR}" != "x"; then
+         SS7_LIB="${pbxlibdir} ${SS7_LIB}"
+        SS7_INCLUDE="-I${SS7_DIR}/include"
+        if test "xlibss7.h" != "x" ; then
+           as_ac_Header=`echo "ac_cv_header_${SS7_DIR}/include/libss7.h" | $as_tr_sh`
+if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
+  { echo "$as_me:$LINENO: checking for ${SS7_DIR}/include/libss7.h" >&5
+echo $ECHO_N "checking for ${SS7_DIR}/include/libss7.h... $ECHO_C" >&6; }
+if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+fi
+ac_res=`eval echo '${'$as_ac_Header'}'`
+              { echo "$as_me:$LINENO: result: $ac_res" >&5
+echo "${ECHO_T}$ac_res" >&6; }
+else
+  # Is the header compilable?
+{ echo "$as_me:$LINENO: checking ${SS7_DIR}/include/libss7.h usability" >&5
+echo $ECHO_N "checking ${SS7_DIR}/include/libss7.h usability... $ECHO_C" >&6; }
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+$ac_includes_default
+#include <${SS7_DIR}/include/libss7.h>
+_ACEOF
+rm -f conftest.$ac_objext
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_compile") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+        { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
+  { (case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_try") 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; } &&
+        { ac_try='test -s conftest.$ac_objext'
+  { (case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_try") 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  ac_header_compiler=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+       ac_header_compiler=no
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
+echo "${ECHO_T}$ac_header_compiler" >&6; }
+
+# Is the header present?
+{ echo "$as_me:$LINENO: checking ${SS7_DIR}/include/libss7.h presence" >&5
+echo $ECHO_N "checking ${SS7_DIR}/include/libss7.h presence... $ECHO_C" >&6; }
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#include <${SS7_DIR}/include/libss7.h>
+_ACEOF
+if { (ac_try="$ac_cpp conftest.$ac_ext"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } >/dev/null; then
+  if test -s conftest.err; then
+    ac_cpp_err=$ac_c_preproc_warn_flag
+    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
+  else
+    ac_cpp_err=
+  fi
+else
+  ac_cpp_err=yes
+fi
+if test -z "$ac_cpp_err"; then
+  ac_header_preproc=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+  ac_header_preproc=no
+fi
+
+rm -f conftest.err conftest.$ac_ext
+{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
+echo "${ECHO_T}$ac_header_preproc" >&6; }
+
+# So?  What about this header?
+case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
+  yes:no: )
+    { echo "$as_me:$LINENO: WARNING: ${SS7_DIR}/include/libss7.h: accepted by the compiler, rejected by the preprocessor!" >&5
+echo "$as_me: WARNING: ${SS7_DIR}/include/libss7.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
+    { echo "$as_me:$LINENO: WARNING: ${SS7_DIR}/include/libss7.h: proceeding with the compiler's result" >&5
+echo "$as_me: WARNING: ${SS7_DIR}/include/libss7.h: proceeding with the compiler's result" >&2;}
+    ac_header_preproc=yes
+    ;;
+  no:yes:* )
+    { echo "$as_me:$LINENO: WARNING: ${SS7_DIR}/include/libss7.h: present but cannot be compiled" >&5
+echo "$as_me: WARNING: ${SS7_DIR}/include/libss7.h: present but cannot be compiled" >&2;}
+    { echo "$as_me:$LINENO: WARNING: ${SS7_DIR}/include/libss7.h:     check for missing prerequisite headers?" >&5
+echo "$as_me: WARNING: ${SS7_DIR}/include/libss7.h:     check for missing prerequisite headers?" >&2;}
+    { echo "$as_me:$LINENO: WARNING: ${SS7_DIR}/include/libss7.h: see the Autoconf documentation" >&5
+echo "$as_me: WARNING: ${SS7_DIR}/include/libss7.h: see the Autoconf documentation" >&2;}
+    { echo "$as_me:$LINENO: WARNING: ${SS7_DIR}/include/libss7.h:     section \"Present But Cannot Be Compiled\"" >&5
+echo "$as_me: WARNING: ${SS7_DIR}/include/libss7.h:     section \"Present But Cannot Be Compiled\"" >&2;}
+    { echo "$as_me:$LINENO: WARNING: ${SS7_DIR}/include/libss7.h: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: ${SS7_DIR}/include/libss7.h: proceeding with the preprocessor's result" >&2;}
+    { echo "$as_me:$LINENO: WARNING: ${SS7_DIR}/include/libss7.h: in the future, the compiler will take precedence" >&5
+echo "$as_me: WARNING: ${SS7_DIR}/include/libss7.h: in the future, the compiler will take precedence" >&2;}
+
+    ;;
+esac
+{ echo "$as_me:$LINENO: checking for ${SS7_DIR}/include/libss7.h" >&5
+echo $ECHO_N "checking for ${SS7_DIR}/include/libss7.h... $ECHO_C" >&6; }
+if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  eval "$as_ac_Header=\$ac_header_preproc"
+fi
+ac_res=`eval echo '${'$as_ac_Header'}'`
+              { echo "$as_me:$LINENO: result: $ac_res" >&5
+echo "${ECHO_T}$ac_res" >&6; }
+
+fi
+if test `eval echo '${'$as_ac_Header'}'` = yes; then
+  SS7_HEADER_FOUND=1
+else
+  SS7_HEADER_FOUND=0
+fi
+
+
+        fi
+      else
+        if test "xlibss7.h" != "x" ; then
+            if test "${ac_cv_header_libss7_h+set}" = set; then
+  { echo "$as_me:$LINENO: checking for libss7.h" >&5
+echo $ECHO_N "checking for libss7.h... $ECHO_C" >&6; }
+if test "${ac_cv_header_libss7_h+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_header_libss7_h" >&5
+echo "${ECHO_T}$ac_cv_header_libss7_h" >&6; }
+else
+  # Is the header compilable?
+{ echo "$as_me:$LINENO: checking libss7.h usability" >&5
+echo $ECHO_N "checking libss7.h usability... $ECHO_C" >&6; }
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+$ac_includes_default
+#include <libss7.h>
+_ACEOF
+rm -f conftest.$ac_objext
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_compile") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+        { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
+  { (case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_try") 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; } &&
+        { ac_try='test -s conftest.$ac_objext'
+  { (case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_try") 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  ac_header_compiler=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+       ac_header_compiler=no
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
+echo "${ECHO_T}$ac_header_compiler" >&6; }
+
+# Is the header present?
+{ echo "$as_me:$LINENO: checking libss7.h presence" >&5
+echo $ECHO_N "checking libss7.h presence... $ECHO_C" >&6; }
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#include <libss7.h>
+_ACEOF
+if { (ac_try="$ac_cpp conftest.$ac_ext"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } >/dev/null; then
+  if test -s conftest.err; then
+    ac_cpp_err=$ac_c_preproc_warn_flag
+    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
+  else
+    ac_cpp_err=
+  fi
+else
+  ac_cpp_err=yes
+fi
+if test -z "$ac_cpp_err"; then
+  ac_header_preproc=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+  ac_header_preproc=no
+fi
+
+rm -f conftest.err conftest.$ac_ext
+{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
+echo "${ECHO_T}$ac_header_preproc" >&6; }
+
+# So?  What about this header?
+case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
+  yes:no: )
+    { echo "$as_me:$LINENO: WARNING: libss7.h: accepted by the compiler, rejected by the preprocessor!" >&5
+echo "$as_me: WARNING: libss7.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
+    { echo "$as_me:$LINENO: WARNING: libss7.h: proceeding with the compiler's result" >&5
+echo "$as_me: WARNING: libss7.h: proceeding with the compiler's result" >&2;}
+    ac_header_preproc=yes
+    ;;
+  no:yes:* )
+    { echo "$as_me:$LINENO: WARNING: libss7.h: present but cannot be compiled" >&5
+echo "$as_me: WARNING: libss7.h: present but cannot be compiled" >&2;}
+    { echo "$as_me:$LINENO: WARNING: libss7.h:     check for missing prerequisite headers?" >&5
+echo "$as_me: WARNING: libss7.h:     check for missing prerequisite headers?" >&2;}
+    { echo "$as_me:$LINENO: WARNING: libss7.h: see the Autoconf documentation" >&5
+echo "$as_me: WARNING: libss7.h: see the Autoconf documentation" >&2;}
+    { echo "$as_me:$LINENO: WARNING: libss7.h:     section \"Present But Cannot Be Compiled\"" >&5
+echo "$as_me: WARNING: libss7.h:     section \"Present But Cannot Be Compiled\"" >&2;}
+    { echo "$as_me:$LINENO: WARNING: libss7.h: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: libss7.h: proceeding with the preprocessor's result" >&2;}
+    { echo "$as_me:$LINENO: WARNING: libss7.h: in the future, the compiler will take precedence" >&5
+echo "$as_me: WARNING: libss7.h: in the future, the compiler will take precedence" >&2;}
+
+    ;;
+esac
+{ echo "$as_me:$LINENO: checking for libss7.h" >&5
+echo $ECHO_N "checking for libss7.h... $ECHO_C" >&6; }
+if test "${ac_cv_header_libss7_h+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  ac_cv_header_libss7_h=$ac_header_preproc
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_header_libss7_h" >&5
+echo "${ECHO_T}$ac_cv_header_libss7_h" >&6; }
+
+fi
+if test $ac_cv_header_libss7_h = yes; then
+  SS7_HEADER_FOUND=1
+else
+  SS7_HEADER_FOUND=0
+fi
+
+
+        fi
+      fi
+      if test "x${SS7_HEADER_FOUND}" = "x0" ; then
+         if test ! -z "${SS7_MANDATORY}" ;
+         then
+            { echo "$as_me:$LINENO: ***" >&5
+echo "$as_me: ***" >&6;}
+            { echo "$as_me:$LINENO: *** It appears that you do not have the ss7 development package installed." >&5
+echo "$as_me: *** It appears that you do not have the ss7 development package installed." >&6;}
+            { echo "$as_me:$LINENO: *** Please install it to include ${SS7_DESCRIP} support" >&5
+echo "$as_me: *** Please install it to include ${SS7_DESCRIP} support" >&or re-run configure;}
+            { echo "$as_me:$LINENO: *** without explicitly specifying --with-${SS7_OPTION}" >&5
+echo "$as_me: *** without explicitly specifying --with-${SS7_OPTION}" >&6;}
+            exit 1
+         fi
+         SS7_LIB=""
+         SS7_INCLUDE=""
+         PBX_SS7=0
+      else
+         PBX_SS7=1
+
+cat >>confdefs.h <<_ACEOF
+#define HAVE_SS7 1
+_ACEOF
+
+      fi
+   elif test ! -z "${SS7_MANDATORY}";
+   then
+      { echo "$as_me:$LINENO: ***" >&5
+echo "$as_me: ***" >&6;}
+      { echo "$as_me:$LINENO: *** The ${SS7_DESCRIP} installation on this system appears to be broken." >&5
+echo "$as_me: *** The ${SS7_DESCRIP} installation on this system appears to be broken." >&6;}
+      { echo "$as_me:$LINENO: *** Either correct the installation" >&5
+echo "$as_me: *** Either correct the installation" >&or run configure;}
+      { echo "$as_me:$LINENO: *** without explicitly specifying --with-${SS7_OPTION}" >&5
+echo "$as_me: *** without explicitly specifying --with-${SS7_OPTION}" >&6;}
+      exit 1
+   fi
+fi
+
+
 if test "${USE_PWLIB}" != "no"; then
        if test ! -z "${PWLIB_DIR}"; then
                PWLIBDIR="${PWLIB_DIR}"
@@ -31355,6 +31846,9 @@ PBX_PGSQL!$PBX_PGSQL$ac_delim
 PRI_LIB!$PRI_LIB$ac_delim
 PRI_INCLUDE!$PRI_INCLUDE$ac_delim
 PBX_PRI!$PBX_PRI$ac_delim
+SS7_LIB!$SS7_LIB$ac_delim
+SS7_INCLUDE!$SS7_INCLUDE$ac_delim
+PBX_SS7!$PBX_SS7$ac_delim
 PWLIB_LIB!$PWLIB_LIB$ac_delim
 PWLIB_INCLUDE!$PWLIB_INCLUDE$ac_delim
 PBX_PWLIB!$PBX_PWLIB$ac_delim
@@ -31400,9 +31894,6 @@ PBX_VPB!$PBX_VPB$ac_delim
 ZLIB_LIB!$ZLIB_LIB$ac_delim
 ZLIB_INCLUDE!$ZLIB_INCLUDE$ac_delim
 PBX_ZLIB!$PBX_ZLIB$ac_delim
-ZAPTEL_LIB!$ZAPTEL_LIB$ac_delim
-ZAPTEL_INCLUDE!$ZAPTEL_INCLUDE$ac_delim
-PBX_ZAPTEL!$PBX_ZAPTEL$ac_delim
 _ACEOF
 
   if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then
@@ -31444,6 +31935,9 @@ _ACEOF
 ac_delim='%!_!# '
 for ac_last_try in false false false false false :; do
   cat >conf$$subs.sed <<_ACEOF
+ZAPTEL_LIB!$ZAPTEL_LIB$ac_delim
+ZAPTEL_INCLUDE!$ZAPTEL_INCLUDE$ac_delim
+PBX_ZAPTEL!$PBX_ZAPTEL$ac_delim
 ALLOCA!$ALLOCA$ac_delim
 EGREP!$EGREP$ac_delim
 LIBOBJS!$LIBOBJS$ac_delim
@@ -31480,7 +31974,7 @@ CURL_LIB!$CURL_LIB$ac_delim
 LTLIBOBJS!$LTLIBOBJS$ac_delim
 _ACEOF
 
-  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 34; then
+  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 37; then
     break
   elif $ac_last_try; then
     { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5